using SelfHelpClient.BO;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace SelfHelpClient
{
  public partial class ItemSelect2 : Form
  {
    List<ViewEntity> list;
    ReadCardForm form;
    public ItemSelect2(List<ViewEntity> mlist, ReadCardForm mForm)
    {
      InitializeComponent();
      form = mForm;
      list = mlist;
    }

    protected override void OnLoad(EventArgs e)
    {
      base.OnLoad(e);
      uDataGridView1.DataSource = list;
      uDataGridView1.Refresh();
    }

    private void uDataGridView1_CellClick(object sender, DataGridViewCellEventArgs e)
    {
      if (e.RowIndex < 0)
        return;
      Program.ve = uDataGridView1.CurrentRow.DataBoundItem as ViewEntity;
      DialogResult = DialogResult.OK;
    }

    private void backBtn_Click(object sender, EventArgs e)
    {
      this.Close();
    }
  }
}
